Ask Your Question
1

upgrade from puppet4 to puppet5

asked 2017-11-21 03:49:04 -0600

buddy_spencer gravatar image

Hi,

I am trying to upgrade from puppet 4 to 5, but after the upgrade the puppet server and db doesn't start anymore. I don't see any error messages or something like that.

My specs are: OS: Debian GNU/Linux 8.9 (jessie)
Puppet: 4.10.9
PuppetDB: 4.4.0

I restored my snapshot from before the upgrade.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2017-11-23 03:44:06 -0600

buddy_spencer gravatar image

I found the solution for the problem by myself.

stop Puppet and PuppetDB:

systemctl stop puppetserver.service
systemctl stop puppetdb.service

change the puppet-repo to puppet5

update Puppetserver:

echo "deb http://ftp.debian.org/debian jessie-backports main" > /etc/apt/sources.list.d/jessie-backports.list
apt-get update
apt-get -t jessie-backports install "openjdk-8-jdk-headless"
update-alternatives --set java /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java
apt-get install puppetserver

update PostgreSQL:

apt-get -t jessie-backports install postgresql-9.6
pg_lsclusters
pg_dropcluster 9.6 main --stop
pg_upgradecluster 9.4 main
pg_dropcluster 9.4 main
pg_lsclusters
apt-get --purge remove postgresql-client-9.4 postgresql-9.4

update PuppetDB:

apt-get install puppetdb
apt-get install puppetdb-termini

autostart:

systemctl enable puppetserver.service
systemctl enable puppetdb.service
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-11-21 03:48:27 -0600

Seen: 201 times

Last updated: Nov 23